Bug 1630688

Summary: Low Random write IOPS in VM in RHHI 2.0
Product: Red Hat Gluster Storage Reporter: Pranith Kumar K <pkarampu>
Component: replicateAssignee: Ravishankar N <ravishankar>
Status: CLOSED ERRATA QA Contact: Vijay Avuthu <vavuthu>
Severity: urgent Docs Contact:
Priority: high    
Version: rhgs-3.4CC: ahadas, amukherj, anepatel, apaladug, chpai, famz, godas, guillaume.pavese, kdhananj, kwolf, michal.skrivanek, mpillai, pkarampu, psuriset, ravishankar, rhs-bugs, sabose, sanandpa, sankarshan, sasundar, shberry, sheggodu, storage-qa-internal, vbellur, ykaul
Target Milestone: ---Keywords: ZStream
Target Release: RHGS 3.4.z Batch Update 1   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: glusterfs-3.12.2-20 Doc Type: Bug Fix
Doc Text:
Previously, the eager-lock mechanism blocked simultaneous file access even in cases where many reads and only one write was being attempted. This increased wait times for read operations when a write was occurring. The eager-lock mechanism now only blocks simultaneous write operations, instead of affecting write and read operations. With this fix, the algorithm to disable the eager-lock is modified and it disables only when multiple write operations are trying to modify a file at the same time. This led to performance improvement while a write operation is performed on a file irrespective of the number of times it is opened at the same time for read operation.
Story Points: ---
Clone Of: 1616270 Environment:
Last Closed: 2018-10-31 08:46:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1630368, 1635972, 1635976, 1635980    
Bug Blocks: 1577822, 1596040, 1616270    

Comment 15 SATHEESARAN 2018-10-18 18:35:59 UTC
Adding the RHHI QE validation results.

As part of RHHI functional testing, the changes are good and verified.
Also measured the high-level performance ( without accurate numbers ), the performance has improved a lot now.

Comment 16 Anees Patel 2018-10-22 06:51:00 UTC
As per comment #9 and comment #15, setting this bug to verified state

Comment 18 errata-xmlrpc 2018-10-31 08:46:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3432